Groovy Documentation

## org.codehaus.groovy.runtime.metaclass
[Java] Class TemporaryMethodKey

    java.lang.Object
      org.codehaus.groovy.runtime.MethodKey
          org.codehaus.groovy.runtime.metaclass.TemporaryMethodKey

    public class TemporaryMethodKey
    extends MethodKey

A temporary implementation of MethodKey used to perform a fast lookup for a method using a set of arguments to a method

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`TemporaryMethodKey(java.lang.Class sender, java.lang.String name, java.lang.Object[] parameterValues, boolean isCallToSuper)`

Method Summary
`int` | `getParameterCount()`
`java.lang.Class` | `getParameterType(int index)`

Methods inherited from class MethodKey
createCopy, createHashCode, equals, equals, getName, getParameterCount, getParameterType, getParamterTypes, hashCode, toString

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### TemporaryMethodKey

    public TemporaryMethodKey(java.lang.Class sender, java.lang.String name, java.lang.Object[] parameterValues, boolean isCallToSuper)

Method Detail

### getParameterCount

    public int getParameterCount()

### getParameterType

    public java.lang.Class getParameterType(int index)

Groovy Documentation